LINUX.ORG.RU

Mesa-10 Xorg-1.15

 , ,


1

1

~amd64 система, собираю с нуля(пока стоит обновленный стейдж разбираюсь с зависимостями 200+ пакетов, подкачиваю необходимое)..
меса и ati-drivers(емнип) требует версию ксорга <1.14.49.. замаскировал xorg-server, xorg-drivers выше версий 1.14.5, пм больше не выдает required..

вопрос: возможно ли собрать с ксоргом(еще и xorg-drivers) >1.14.4x(1.14.5,1.15.x, etc)..
я, конечно, понимаю, что в билдах ati-drivers стоит требование

<=x11-base/xorg-server-1.14.49[-minimal]

но все таки, почему несколько версий проприетарных дров ати не могут использовать версии 1.15 и выше

________
не помню что, но подтягивается меса-10.. (коммент на маску в профиле поставил)

★★

Неужели неочевидно? В новых иксах изменился API, поэтому придется ждать обновления блоба под этот новый API. Я недавно обновил нвидивский блоб до последней версии, а вместе с ним и иксы до 1.15 обновились.

eternal_sorrow ★★★★★ ()
Ответ на: комментарий от eternal_sorrow

блоб первый раз ставлю, так что неочевидно..

TODD ★★ ()
Ответ на: комментарий от Programmist11180

граф тормоза и зяблы в терминале(в последнии дни, хз почему), блоб норм работает(про tty не заморачиваюсь, хотя при свободном лучше было)

TODD ★★ ()

в дополнение под ядром 3.13 блоб падает при сборке

TODD ★★ ()
Ответ на: комментарий от eternal_sorrow

В новых иксах изменился API

stable API is a nonsense?

cvs-255 ★★★★★ ()
Ответ на: комментарий от cvs-255

Всем насрать на штабильность, надо чтоб работало.

anonymous ()
Ответ на: комментарий от anonymous

без стабильности оно не работает. Или работает, но регулярно отваливается.

cvs-255 ★★★★★ ()
Ответ на: комментарий от cvs-255

Штабильность — это дрочение на одни, конкретные циферки одной конкретной версии, к работе оно не имет отношения.

anonymous ()
Ответ на: комментарий от anonymous

так с неставящимися драйверами работать не выйдет

cvs-255 ★★★★★ ()
Ответ на: комментарий от cvs-255

Даже на швабодных работают. Врут?

anonymous ()
Ответ на: комментарий от TODD

в дополнение под ядром 3.13 блоб падает при сборке

гугли патч по ключевым словам «3.13, nvidia, patch»

funeralismatic ★★★ ()
Ответ на: комментарий от cvs-255

Ну так изменение версии довольно серьезное, с 1.14 на 1.15. А застой это смерть, иногда просто необходимо что то сломать, чтоб сделать лучше взамен.

eternal_sorrow ★★★★★ ()

еще и подгрузка модулей: и radeon, и fglrx, и другие(скрипт поднятия сети,где подгружается модуль сетевухи) - виснет на минуту-другую..
на ~amd64 иксы вообще не грузятся, проблема с кмс.. да и в логах видно что загрузка модулей проваливается..
тогда как на полуamd64 норм работает(после обновления надо проверить остальное и устранить ошибку на вайне)

TODD ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.